#version 330 core
layout (location = 0) in vec2 aPos;
layout (location = 1) in vec2 aTexCoords;

uniform vec4 directionFlares;


 out vec2 TexCoords;

void main()
{
    TexCoords = aTexCoords;
	//set position
	gl_Position = vec4(aPos.x, aPos.y, 0.0, 1.0); 

	//transform to NDC
	gl_Position.xyz /=gl_Position.w;

	//do stuff
    gl_Position = -directionFlares + length(directionFlares)*0.0019*gl_Position; 

	//return
	gl_Position  = vec4( 3*gl_Position.x, 3*gl_Position.y, 0.0, 1.0);
}  