#version 430 core
//map
layout(location = 0) in vec3 position;
layout(location = 2) in vec2 uv;

out VertexData {
	vec3 position_world;
	vec2 uv;
} vert_tcs;

uniform mat4 modelMatrix;
//uniform mat4 shadowViewProjMatrix;
//uniform mat3 normalMatrix;

void main() {
	vert_tcs.uv = uv;
	vec4 position_world_ = modelMatrix * vec4(position, 1);
	vert_tcs.position_world = position_world_.xyz;
	gl_Position = position_world_;
}