#version 330 core
layout (location = 0) in vec4 aPos;
//layout (location = 1) in vec3 aColor;

//out VS_OUT {
//    vec3 color;

//} vs_out;

uniform mat4 viewMatrix;
uniform mat4 projMatrix;
uniform mat4 modelMatrix;

void main()
{
    //vs_out.color = aColor;
    gl_Position =  projMatrix *viewMatrix * modelMatrix* vec4(aPos.x, aPos.y, aPos.z, 1.0); 
}