#version 430 core
/*
uniform mat4 MVP;
attribute vec2 vPos;
attribute vec3 vCol;

varying vec3 color;
void main()
{    gl_Position = MVP * vec4(vPos, 0.0, 1.0);
    color = vCol;
}
*/

layout (location = 0) in vec4 vertex;
out vec2 TexCoords;

layout (location = 8) uniform mat4 MVP;

void main()
{
    gl_Position = MVP * vec4(vertex.xy, 0.0, 1.0);
    TexCoords = vertex.zw;
	}