#version 330 core

layout (points) in;
layout (triangle_strip, max_vertices = 4) out;

//in VS_OUT {
 //   vec3 color;

//} gs_in[];

out vec3 fColor;
out vec2 TexCoords; 

void build_house(vec4 position)
{    
   // fColor = gs_in[0].color; // gs_in[0] since there's only one input vertex
    gl_Position = position + vec4(-4, -4, 0.0, 0.0); // 1:bottom-left   
	TexCoords = vec2(0.0, 1.0);
    EmitVertex();   

    gl_Position = position + vec4( 4, -4, 0.0, 0.0); // 2:bottom-right
	  TexCoords = vec2(1.0, 1.0);
    EmitVertex();

    gl_Position = position + vec4(-4,  4, 0.0, 0.0); // 3:top-left
    TexCoords =vec2(0.0, 0.0);
    EmitVertex();

    gl_Position = position + vec4( 4,  4, 0.0, 0.0); // 4:top-right
   TexCoords = vec2(1.0, 0.0);
    EmitVertex();
   
    EndPrimitive();
}

void main() {    
    build_house(gl_in[0].gl_Position);
}