#version 330 core
layout(location = 0) in vec3 position;

out vec3 TexCoords;


uniform mat4 viewProjMatrix;


void main() {
	TexCoords = position;
	//override the z-value, so the depth-value is 1.0f and all fragments are directly on the farplane
	gl_Position = (viewProjMatrix * vec4(position, 1)).xyww; 
}